import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStreamReader;

class TesteDeAgenda
{
    public static void main (String Args []) throws IOException
    {
        BufferedReader Entrada = new BufferedReader
                                (new InputStreamReader
                                (System.in));

        int Capacidade;

        for (;;)
        {
            System.out.println ();

            System.out.print ("Capacidade desejada para a Agenda: ");
            Capacidade = Integer.parseInt (Entrada.readLine ());

            if (Capacidade <= 0)
            {
                System.err.println ("Capacidade tem de ser natural e > 0!");
                continue;
            }

            break;
        }

        Agenda agenda  = new Agenda (Capacidade);
        String Nome, Telefone;
        char   Opcao;

        do
        {
            System.out.println ();

            System.out.print ("Digite sua Opcao (" +
                              "I=Incluir/" +
                              "C=Consultar/" +
                              "L=Listar/" +
                              "E=Excluir/" +
                              "S=Sair)" +
                              ": ");

            Opcao = (Entrada.readLine ()).charAt (0);

            switch (Opcao)
            {
                case 'i':
                case 'I':
                    if (agenda.QuantosContatos () == agenda.Capacidade ())
                    {
                        System.err.println ("Capacidade da agenda esgotada!");
                        System.out.println ();
                        break;
                    }

                    System.out.print ("Nome....: ");
                    Nome = Entrada.readLine ();

                    if (agenda.HaRegistroDoContato (Nome))
                        System.err.println ("Esse nome ja consta na agenda!");
                    else
                    {
                        System.out.print ("Telefone: ");
                        Telefone = Entrada.readLine ();

                        agenda.RegistreOContato (Nome, Telefone);
                    }

                    System.out.println ();
                    break;


                case 'c':
                case 'C':
                    if (agenda.QuantosContatos () == 0)
                        System.err.println ("A agenda esta vazia!");
                    else
                    {
                        System.out.print ("Nome....: ");
                        Nome = Entrada.readLine ();

                        Telefone = agenda.DigaMeOTelefoneDe (Nome);

                        if (agenda.ErroNoUltimoServico ())
                            System.err.println ("Nao consta na agenda!");
                        else
                            System.out.println ("Telefone: " +
                                                Telefone);
                    }

                    System.out.println ();
                    break;


                case 'l':
                case 'L': 
                    if (agenda.QuantosContatos () == 0)
                        System.err.println ("A agenda esta vazia!");
                    else
                    {
                        String Tecla;

                        for (int I = 0;
                             I < agenda.QuantosContatos ();
                             I++)
                        {
                            System.out.println ("Nome: " +
                                                agenda.DigaMeONome (I) +
                                                " - Telefone: " +
                                                agenda.DigaMeOTelefone (I));

                            if (I%23 == 22 && I < agenda.QuantosContatos()-1)
                            {
                                System.out.println ();
                                System.out.print ("Tecle ENTER... ");
                                Tecla = Entrada.readLine ();
                                System.out.println ();
                            }
                        }
                    }

                    System.out.println ();
                    break;


                case 'e':
                case 'E':
                    if (agenda.QuantosContatos () == 0)
                        System.err.println ("A agenda esta vazia!");
                    else
                    {
                          System.out.print ("Nome....: ");
                          Nome = Entrada.readLine ();

                          agenda.DescarteOContato (Nome);

                          if (agenda.ErroNoUltimoServico ())
                              System.err.println ("Nao consta na agenda!");
                    }

                    System.out.println ();
                    break;


                case 's':
                case 'S':
                    break;


                default :
                    System.err.println ("Opcao invalida!");
                    System.err.println ();
            }
        }
        while ((Opcao != 's') && (Opcao != 'S'));
    }
}