class PilhaV implements Pilha
{
    private float   Elem [];
    private int     Topo = -1;
    private boolean Erro = false;

    public PilhaV (int T)
    {
        if (T <= 0)
        {
            this.Erro = true;
            return;
        }

        this.Elem = new float [T];
        this.Erro = false;
    }

    public PilhaV ()
    {
        this (25);
    }

    public boolean ErroNoUltimoServico ()
    {
        return this.Erro;
    }

    public boolean Cheia ()
    {
        this.Erro = false;
        return this.Topo+1 == this.Elem.length;
    }

    public boolean Vazia ()
    {
        this.Erro = false;
        return this.Topo == -1;
    }

    public void Empilhe (float N)
    {
        if (this.Cheia ())
        {
            this.Erro = true;
            return;
        }

        this.Elem [++this.Topo] = N;
        this.Erro = false;
    }

    public float Desempilhe ()
    {
        if (this.Vazia ())
        {
            this.Erro = true;
            return Float.NaN;
        }

        this.Erro = false;
        return this.Elem [this.Topo--];
    }
}