abstract class Deposito
{
    protected float   Elem [];
    protected int     DeOndeTirar = 0,
                      QtosElems   = 0;
    protected boolean Erro        = false;

    public Deposito (int T)
    {
        if (T <= 0)
        {
            this.Erro = true;
            return;
        }

        this.Elem = new float [T];
        this.Erro = false;
    }

    public Deposito ()
    {
        this (25);
    }

    public boolean ErroNoUltimoServico ()
    {
        return this.Erro;
    }

    public boolean SemEspaco ()
    {
        this.Erro = false;
        return this.QtosElems == this.Elem.length;
    }

    public boolean SemElementos ()
    {
        this.Erro = false;
        return this.QtosElems == 0;
    }
	
    abstract public void Guarde (float N);
    abstract public float RetireElemento ();
}