class Fracao
{
    private static long Num, Den;
    private static boolean Erro = false;

    public static boolean DeuErro ()
    {
        return Fracao.Erro;
    }

    public static void AssumaValor (long N, long D)
    {
        if (D == 0)
        {
            Fracao.Erro = true;
            return;
        }

        if (D < 0)
        {
            Fracao.Num = -N;
            Fracao.Den = -D;
        }
        else
        {
            Fracao.Num = N;
            Fracao.Den = D;
        }

        Fracao.Erro = false;
    }

    public static String NaFormaDeString ()
    {
        Fracao.Erro = false;

        if (Fracao.Num == Fracao.Den)
            return "1";

        if (Fracao.Num + Fracao.Den == 0)
            return "-1";

        if (Fracao.Num == 0 || Fracao.Den == 1)
            return "" + Fracao.Num;

        return Fracao.Num + "/" + Fracao.Den;
    }

    public static void SomeSeCom (int I)
    {
        Fracao.Num = Fracao.Den * I + Fracao.Num;

        Fracao.Erro = false;
    }

    public static void SubtraiaDeSi (int I)
    {
        Fracao.Num = Fracao.Num - Fracao.Den * I;

        Fracao.Erro = false;
    }  

    public static void MultipliqueSePor (int I)
    {
        Fracao.Num = Fracao.Num * I;

        Fracao.Erro = false;
    }  

    public static void DividaSePor (int I)
    {
        if (I == 0)
        {
            Fracao.Erro = true;
            return;
        }

        Fracao.Den = Fracao.Den * I;

        if (Fracao.Den < 0)
        {
            Fracao.Num = -Fracao.Num;
            Fracao.Den = -Fracao.Den;
        }

        Fracao.Erro = false;
    }  
}

class TesteDeFracao
{
    public static void main (String V [])
    {
        Fracao.AssumaValor (1,2);
        System.out.println  ();

        System.out.print   (Fracao.NaFormaDeString ());
        Fracao.SomeSeCom   (7);
        System.out.println (" + 7 = " + Fracao.NaFormaDeString ());

        System.out.print    (Fracao.NaFormaDeString ());
        Fracao.SubtraiaDeSi (7);
        System.out.println  (" - 7 = " + Fracao.NaFormaDeString ());

        System.out.print        (Fracao.NaFormaDeString ());
        Fracao.MultipliqueSePor (7);
        System.out.println      (" * 7 = " + Fracao.NaFormaDeString ());

        System.out.print   (Fracao.NaFormaDeString ());
        Fracao.DividaSePor (7);
        System.out.println (" / 7 = " + Fracao.NaFormaDeString ());
    }
}