class Lista
{
    private float Elem;
    private Lista Resto;

    private static boolean Erro = false;

    public static boolean ErroNoUltimoServico ()
    {
        return Lista.Erro;
    }

    private Lista (float E, Lista R)
    {
        this.Elem  = E;
        this.Resto = R;

        Lista.Erro = false;
    }

    public static float Primeiro (Lista L)
    {
        if (L == null)
        {
            Lista.Erro = true;
            return Float.NaN;
        }

        Lista.Erro = false;
        return L.Elem;
    }

    public static Lista ComNovoInicio (float F, Lista L)
    {
        Lista.Erro = false;
        return new Lista (F, L);
    }

    public static Lista SemPrimeiro (Lista L)
    {
        if (L == null)
        {
            Lista.Erro = true;
            return null;
        }

        Lista.Erro = false;
        return L.Resto;
    }

    public static float Ultimo (Lista L)
    {
        if (L == null)
        {
            Lista.Erro = true;
            return Float.NaN;
        }

        Lista.Erro = false;

        if (L.Resto != null)
            return L.Elem;
        else
            return Lista.Ultimo (L.Resto);
    }

    public static Lista ComNovoFinal (float F, Lista L)
    {
        Lista.Erro = false;

        if (L == null)
            return new Lista (F, null);
        else
        {
            L.Resto = Lista.ComNovoFinal (F, L.Resto);
            return L;
        }
    }

    public static Lista SemUltimo (Lista L)
    {
        if (L == null)
        {
            Lista.Erro = true;
            return null;
        }

        Lista.Erro = false;

        if (L.Resto == null)
            return null;
        else
        {
            L.Resto = Lista.SemUltimo (L.Resto);
            return L;
        }
    }
}