class Fila extends Deposito
{
    private int OndeGuardar = 0;

    public void Guarde (float N)
    {
        if (this.SemEspaco ())
        {
            this.Erro = true;
            return;
        }

        this.Elem [this.OndeGuardar] = N;

        this.OndeGuardar = (this.OndeGuardar + 1) % this.Elem.length;
        this.QtosElems++;

        this.Erro = false;
    }

    public float RetireElemento ()
    {
        if (this.SemElementos ())
        {
            this.Erro = true;
            return Float.NaN;
        }

        float R = this.Elem [this.DeOndeTirar];

        this.DeOndeTirar = (this.DeOndeTirar + 1) % this.Elem.length;
        this.QtosElems--;

        this.Erro = false;
        return R;
    }
}